- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CPUSpeed Class Reference

the CPUSpeed class. More...

`#include <OSGeneral.h>`

Collaboration diagram for CPUSpeed:

[legend]
List of all members.

## Public Member Functions
| CPUSpeed ()
| Default constructor.
| ~CPUSpeed ()
| Class destructor.
bool | IsEqual (CPUSpeed *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | unit
| the unit in which CPU speed is measured
std::string | description
| additional description about the CPU speed
double | value
| the CPU speed (expressed in multiples of unit)

## Detailed Description

the CPUSpeed class.

Author:
  Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSgL schema.

Definition at line 706 of file OSGeneral.h.

## Constructor & Destructor Documentation

CPUSpeed::CPUSpeed | ( |  | ) |

Default constructor.

Definition at line 1063 of file OSGeneral.cpp.

CPUSpeed::~CPUSpeed | ( |  | ) |

Class destructor.

Definition at line 1070 of file OSGeneral.cpp.

## Member Function Documentation

bool CPUSpeed::IsEqual | ( | CPUSpeed * | that | ) |

A function to check for the equality of two objects.

Definition at line 1077 of file OSGeneral.cpp.

References description, isEqual(), unit, and value.

bool CPUSpeed::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" attributes and <XXX> children)

Definition at line 1116 of file OSGeneral.cpp.

References description, OSRand(), unit, and value.

Referenced by SystemOption::setRandom().

## Member Data Documentation

std::string CPUSpeed::unit

the unit in which CPU speed is measured

Definition at line 710 of file OSGeneral.h.

Referenced by OSOption::getMinCPUSpeedUnit(), IsEqual(), OSResult::setAvailableCPUSpeedUnit(), OSOption::setMinCPUSpeed(), OSOption::setMinCPUSpeedUnit(), setRandom(), OSResult::setUsedCPUSpeedUnit(), and OSrLWriter::writeOSrL().

std::string CPUSpeed::description

additional description about the CPU speed

Definition at line 713 of file OSGeneral.h.

Referenced by OSOption::getMinCPUSpeedDescription(), IsEqual(), OSResult::setAvailableCPUSpeedDescription(), OSOption::setMinCPUSpeed(), setRandom(), OSResult::setUsedCPUSpeedDescription(), and OSrLWriter::writeOSrL().

double CPUSpeed::value

the CPU speed (expressed in multiples of unit)

Definition at line 716 of file OSGeneral.h.

Referenced by OSOption::getMinCPUSpeed(), IsEqual(), OSResult::setAvailableCPUSpeedValue(), OSOption::setMinCPUSpeed(), setRandom(), OSResult::setUsedCPUSpeedValue(), and OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp